def is_prime(num):
    if num < 2:
        return False
    for i in range(2, int(num ** 0.5) + 1):
        if num % i == 0:
            return False
    return True

def count_prime_sums(n):
    count = 0
    for i in range(2, n//2 + 1):
        if is_prime(i) and is_prime(n-i):
            count += 1
    return count

A, B = map(int, input().split())

results = []

for x in range(A, B+1):
    if x % 2 == 0:
        gx = count_prime_sums(x)
        if gx % 3 == 0:
            results.append((x, gx))

if not results:
    print("Impossible")
else:
    min_gx = min(item[1] for item in results if item[1] % 3 == 0)
    max_x = max(item[0] for item in results if item[1] == min_gx)
    print(max_x, min_gx)
