def min_difference_between_arcs(N, weights):
    total_weight = sum(weights)
    half_weight = total_weight // 2
    
    dp = [[0 for _ in range(half_weight+1)] for _ in range(N+1)]
    
    for i in range(1, N+1):
        for j in range(1, half_weight+1):
            dp[i][j] = dp[i-1][j]
            if weights[i-1] <= j:
                dp[i][j] = max(dp[i][j], dp[i-1][j-weights[i-1]] + weights[i-1])
    
    return total_weight - 2 * dp[N][half_weight]

N = int(input())
weights = [int(input()) for _ in range(N)]

result = min_difference_between_arcs(N, weights)
print(result)
